﻿# Restrict team plugin for Deathrun Mod v 1.9
# Visit our DeathRun Server 195.211.101.189:27016
# Visit our site www.tk-portal.ru

import es, playerlib, langlib

text = langlib.Strings("cstrike/addons/eventscripts/deathrun/language/restrictteam.ini")

nokillter = ['jointeam', 'explode', 'spectate']

def load():
    es.addons.registerClientCommandFilter(clientFilter)   
    es.addons.registerClientCommandFilter(ter) 
    es.addons.registerClientCommandFilter(hook) 
    es.addons.registerClientCommandFilter(jointeam) 
    es.addons.registerClientCommandFilter(joinclass) 

def unload():
    es.addons.unregisterClientCommandFilter(clientFilter)
    es.addons.unregisterClientCommandFilter(ter)  
    es.addons.unregisterClientCommandFilter(hook)  
    es.addons.unregisterClientCommandFilter(jointeam) 
    es.addons.unregisterClientCommandFilter(joinclass) 

def clientFilter(userid, args):
    if args[0].lower() in nokillter and es.getplayerteam(userid) == 2:
        return False
    return True

def hook(userid, args):
    if args[0].lower() == "jointeam":
        if args[1].lower() == '0': 
            if es.getplayerteam(userid) == 2:
                return False
            if es.getplayerteam(userid) != 2:
                if es.getplayercount(2):
                    es.changeteam(userid, 3)
                    return False                   
                else:
                    es.changeteam(userid, 2)
                    return False
    return True

def ter(userid, args):
    player = playerlib.getPlayer(userid)
    tokens = {}
    if args[0].lower() == "jointeam" and args[1].lower() == '2' and es.getplayercount(2) != 0:
        es.tell(userid, "#green", text("dontbecome", tokens, player.get("lang")))
        return False  
    return True

def jointeam(userid, args):
    if args[0].lower() == "jointeam":
        if args[1].lower() == '1' and es.getplayerteam(userid) != 2: 
            es.changeteam(userid, 1)
            return False
        if args[1].lower() != '0': 
            if es.getplayerteam(userid) == 2:
                return False
            if es.getplayerteam(userid) != 2:
                if es.getplayercount(2):
                    es.changeteam(userid, 3)
                    return False                   
                else:
                    es.changeteam(userid, 2)
                    return False
    return True


def joinclass(userid, args):
    if args[0].lower() == 'joinclass' and not es.getplayerprop(userid, 'CBasePlayer.pl.deadflag') and es.getplayercount(2):
        return False
    return True



    
